Show / Hide Table of Contents

# Class TimingEvent

Class representing a timing event.

##### Inheritance

System.Object
TimingEvent
TimingHandle

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Utility.Timing

###### Assembly: Dalamud.dll

##### Syntax

    public class TimingEvent

### Fields

| Improve this Doc View Source

#### Id

Id of this timing event.

##### Declaration

    public readonly long Id

##### Field Value

Type | Description
--- | ---
System.Int64 |

### Properties

| Improve this Doc View Source

#### FileName

Gets the file name that created this timing.

##### Declaration

    public string FileName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### LineNumber

Gets the line number that created this timing.

##### Declaration

    public int LineNumber { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MemberName

Gets the member that created this timing.

##### Declaration

    public string MemberName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Name

Gets the name of the timing.

##### Declaration

    public string Name { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### StartTime

Gets the time this timing started.

##### Declaration

    public double StartTime { get; }

##### Property Value

Type | Description
--- | ---
System.Double |